curl --request GET \
--url https://api.ravion.com/aws/cloudwatch/metric \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/aws/cloudwatch/metric"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/aws/cloudwatch/metric', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datapoints": [
{
"timestamp": "<string>",
"value": 123,
"max": 123,
"min": 123
}
],
"unit": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}Get CloudWatch metric data
Fetch CloudWatch metric data for a module instance UI metric. Resolves the AWS account from awsAccountId region.
Query Parameters
AWS account database ID used to resolve credentials.
AWS region the metric lives in.
CloudWatch namespace (e.g. AWS/ECS)
CloudWatch metric name (e.g. CPUUtilization)
CloudWatch statistic to apply (Average, Sum, Maximum, ...)
Aggregation period in seconds (e.g. 300). Must obey CloudWatch's per-window granularity floor (60s ≤ 15d, 300s ≤ 63d, 3600s ≤ 455d).
Inclusive start of the query window (ISO 8601). Must be earlier than endTime and within CloudWatch's 455-day retention.
Inclusive end of the query window (ISO 8601). Must be after startTime and not in the future.
Repeated dimensionName=dimensionValue pairs scoping the metric
Response
The request has succeeded.
Was this page helpful?